# Carrierwave::Mongoid::File::Seek

This gem enables to search in mounted uploaded files via Carrierwave which uses MongoDB GridFS as a store.

## Installation

Add this line to your application's Gemfile:

    gem 'carrierwave-mongoid-file-seek'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install carrierwave-mongoid-file-seek

## Usage

Simply call Carrierwave::Mongoid::File::Seek.content_as_string(file, offset, io_seek) to search as in a common file.
Possible io_seek:

IO::SEEK_CUR - Seeks to first integer number parameter plus current position
IO::SEEK_END - Seeks to first integer number parameter plus end of stream (you probably want a negative value for first integer number parameter)
IO::SEEK_SET - Seeks to the absolute location given by first integer number parameter

Example:

Model:
~~~ruby
class Video
    include Mongoid::Document
    mount_uploader :video_file, VideoUploader
end
~~~

Carrierwave uploader:
~~~ruby
class VideoUploader < CarrierWave::Uploader::Base
    storage :grid_fs

    def store_dir
        "/files/videos/#{model.id}"
    end
end
~~~

Usage:
~~~ruby
video = Video.find(params[:id])
searched_content = CarrierWave::Mongoid::File::Seek.content_as_string(video.video_file, 500, IO::SEEK_CUR)
~~~



## Contributing

1. Fork it ( http://github.com/<my-github-username>/carrierwave-mongoid-file-seek/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
